let choice1 = [
    {
        type : "skill",
        name : "Corps à corps (Base)",
        diff : {
            system : {
                advances : {
                    value : 20
                }
            }
        }
    }
]
let choice2 = [
    {
        type : "skill",
        name : "Corps à corps (Armes d'hast)",
        diff : {
            system : {
                advances : {
                    value : 20
                }
            }
        }
    }
]

let choice3 = [
    {
        type : "skill",
        name : "Corps à corps (A deux mains)",
        diff : {
            system : {
                advances : {
                    value : 20
                }
            }
        }
    }
]

let choice = await foundry.applications.api.DialogV2.wait({
        window : {title : "Choix"},
        content :
        `<p>
        Sélectionnez votre choix
        </p>
        <ol>
        <li>Corps à corps (Base)</li>
        <li>Corps à corps (Armes d'hast)</li>
        <li>Corps à corps (A deux mains)</li>
        </ol>
        `,
        buttons : [
            {
                label : "Base",
                action : "basic",
                callback : () => {
                    return choice1
                }
            },
            {
                label : "Armesd'hast",
                action : "polearm",
                callback : () => {
                    return choice2
                }
            },
            {
                label : "A deux mains",
                action : "two-handed",
                callback : () => {
                    return choice3
                }
            }
    ]
})

let updateObj = this.actor.toObject();
let items = []
for (let c of choice)
{
    let existing
    if (c.type == "skill")
    {
        existing = updateObj.items.find(i => i.name == c.name && i.type == c.type)
        if (existing && c.diff?.system?.advances?.value)
        {
            existing.system.advances.value += c.diff.system.advances.value
        }
    }

    if (!existing)
    {
        let item = await game.wfrp4e.utility.find(c.name, c.type)
        if (item)
        {
            let equip = item.system.tags.has("equippable");
            item = item.toObject()
            if (equip)
            {
                item.system.equipped.value = true;
            }
            items.push(foundry.utils.mergeObject(item, (c.diff || {})))
        }
        else
            ui.notifications.warn(`Impossible de trouver ${talent}`, {permanent : true})
    }

}
await this.actor.update(updateObj)
this.actor.createEmbeddedDocuments("Item", items);